package com.cloudcross.ssp.back.service;

import java.util.HashMap;

import com.cloudcross.ssp.back.model.Dimension;
import com.cloudcross.ssp.base.service.IGenericService;




/**
 * 用户服务接口定义。
 * 
 * @author qaohao
 */
public interface IDimensionService extends IGenericService<Dimension> {
	Dimension findByName(String name);
	boolean deleteById(HashMap<String,Object> paraMap);
	public boolean updateDimensionDefault(long dimensionId);
	public HashMap<String,Object> selectDimensionIdBydefault();
}